Bug 212947 - Digikan crashes upon import of large photo collection
Summary: Digikan crashes upon import of large photo collection
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Thumbs-BarView (show other bugs)
Version: 1.0.0
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-03 18:46 UTC by rene
Modified: 2020-08-13 15:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rene 2009-11-03 18:46:15 UTC
Application that crashed: digikam
Version of the application: 1.0.0-beta5
KDE Version: 4.3.2 (KDE 4.3.2)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-14-generic i686
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
Digikam crashes if i add a new album which contains a large collection of photos. If the collection is small, everything works fine.
Steps to reproduce: (German Version of digikam)

* start Digikam
* goto Einstellungen -> digikam einrichten
* select Sammlungen
* add a collection on an usb drive (mine contains about 10.000 pictures)
* click ok and wait for digicam to crash after e certain time



 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb7771700 (LWP 15012))]

Thread 14 (Thread 0xb6043b70 (LWP 15013)):
[KCrash Handler]
#6  memcpy () at ../sysdeps/i386/i686/memcpy.S:75
#7  0x0849ce60 in typeinfo for Digikam::ThumbBarItem ()
#8  0x06fc31ea in QVectorData::malloc (sizeofTypedData=28, size=2729, sizeofT=12, init=0x0) at /usr/include/bits/string3.h:52
#9  0x0207df2f in QVector<QImage>::realloc (this=0x9b02fab4, asize=2304, aalloc=2729) at /usr/include/qt4/QtCore/qvector.h:455
#10 0x0207e450 in QVector<QImage>::resize (this=0x9b02fab4, asize=2304) at /usr/include/qt4/QtCore/qvector.h:321
#11 0x02075006 in XCFImageFormat::composeTiles (this=0xb604281f, xcf_image=...) at ../../kimgio/xcf.cpp:495
#12 0x0207cc7d in XCFImageFormat::loadLayer (this=0xb604281f, xcf_io=..., xcf_image=...) at ../../kimgio/xcf.cpp:362
#13 0x0207d617 in XCFImageFormat::readXCF (this=0xb604281f, device=0xa72f9aa8, outImage=0xb6042924) at ../../kimgio/xcf.cpp:156
#14 0x0207dc00 in XCFHandler::read (this=0xa832e8a0, image=0xb6042924) at ../../kimgio/xcf.cpp:2308
#15 0x05fd588c in QImageReader::read (this=0xb6042988, image=0xb6042924) at image/qimagereader.cpp:1077
#16 0x05fd5e37 in QImageReader::read (this=0xb6042988) at image/qimagereader.cpp:1027
#17 0x05fc7d32 in QImage::load (this=0xb6042a6c, fileName=..., format=0x0) at image/qimage.cpp:4566
#18 0x05fc7faa in QImage (this=0xb6042a6c, fileName=..., format=0x0) at image/qimage.cpp:1013
#19 0x08cb083a in Digikam::QImageLoader::load (this=0xb6042d00, filePath=..., observer=0x0) at /build/buildd/digikam-1.0.0~beta5/libs/dimg/loaders/qimageloader.cpp:51
#20 0x08c95025 in Digikam::DImg::load (this=0xb6042fa8, filePath=..., loadFlagsInt=1, observer=0x0, rawDecodingSettings=...) at /build/buildd/digikam-1.0.0~beta5/libs/dimg/dimg.cpp:483
#21 0x08c95cad in Digikam::DImg::loadImageInfo (this=0xb6042fa8, filePath=..., loadMetadata=false, loadICCData=false, loadUniqueHash=false) at /build/buildd/digikam-1.0.0~beta5/libs/dimg/dimg.cpp:332
#22 0x003c81e5 in Digikam::ImageScanner::loadFromDisk (this=0xb6042f98) at /build/buildd/digikam-1.0.0~beta5/libs/database/imagescanner.cpp:530
#23 0x003ce132 in Digikam::ImageScanner::newFile (this=0xb6042f98, albumId=245) at /build/buildd/digikam-1.0.0~beta5/libs/database/imagescanner.cpp:89
#24 0x00379684 in Digikam::CollectionScanner::scanNewFile (this=0xb60432f0, info=..., albumId=245) at /build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:722
#25 0x0037b027 in Digikam::CollectionScanner::scanAlbum (this=0xb60432f0, location=..., album=...) at /build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:637
#26 0x0037af40 in Digikam::CollectionScanner::scanAlbum (this=0xb60432f0, location=..., album=...) at /build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:655
#27 0x0037b817 in Digikam::CollectionScanner::scanAlbumRoot (this=0xb60432f0, location=...) at /build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:451
#28 0x0037bb4f in Digikam::CollectionScanner::completeScan (this=0xb60432f0) at /build/buildd/digikam-1.0.0~beta5/libs/database/collectionscanner.cpp:228
#29 0x0830a296 in Digikam::ScanController::run (this=0xa0e4558) at /build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:523
#30 0x06f6de32 in QThreadPrivate::start (arg=0xa0e4558) at thread/qthread_unix.cpp:188
#31 0x008d280e in start_thread (arg=0xb6043b70) at pthread_create.c:300
#32 0x068ab7ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 13 (Thread 0xb581ab70 (LWP 15015)):
#0  0x008d4d4b in __pthread_mutex_lock (mutex=0xa11e2dc) at pthread_mutex_lock.c:61
#1  0x068b8956 in pthread_mutex_lock (mutex=0xa11e2dc) at forward.c:182
#2  0x0141ee1f in g_main_context_prepare () from /lib/libglib-2.0.so.0
#3  0x0141f341 in ?? () from /lib/libglib-2.0.so.0
#4  0x0141f853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x07089067 in QEventDispatcherGlib::processEvents (this=0xa11db90, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#6  0x0705cc79 in QEventLoop::processEvents (this=0xb581a2e4, flags=) at kernel/qeventloop.cpp:149
#7  0x0705d0ca in QEventLoop::exec (this=0xb581a2e4, flags=...) at kernel/qeventloop.cpp:201
#8  0x06f6ab73 in QThread::exec (this=0xa1175c8) at thread/qthread.cpp:487
#9  0x003f6cbd in Digikam::ImageFilterModelWorker::Thread::run() () from /usr/lib/libdigikamdatabase.so.1
#10 0x06f6de32 in QThreadPrivate::start (arg=0xa1175c8) at thread/qthread_unix.cpp:188
#11 0x008d280e in start_thread (arg=0xb581ab70) at pthread_create.c:300
#12 0x068ab7ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 12 (Thread 0xb4353b70 (LWP 15016)):
#0  0x0923ce06 in *__GI_clock_gettime (clock_id=153358324, tp=0xb4353028) at ../sysdeps/unix/clock_gettime.c:100
#1  0x0708abf3 in QTimerInfoList::getTime (this=0xa0fa434, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x0708ade1 in QTimerInfoList::updateCurrentTime (this=0xa0fa434) at kernel/qeventdispatcher_unix.cpp:297
#3  0x0708b88c in QTimerInfoList::timerWait (this=0xa0fa434, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x07089210 in timerSourcePrepare (source=0xa0fa400, timeout=0xb435311c) at kernel/qeventdispatcher_glib.cpp:141
#5  0x0141ef80 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x0141f341 in ?? () from /lib/libglib-2.0.so.0
#7  0x0141f853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x07089067 in QEventDispatcherGlib::processEvents (this=0xa134318, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x0705cc79 in QEventLoop::processEvents (this=0xb43532e4, flags=) at kernel/qeventloop.cpp:149
#10 0x0705d0ca in QEventLoop::exec (this=0xb43532e4, flags=...) at kernel/qeventloop.cpp:201
#11 0x06f6ab73 in QThread::exec (this=0xa134848) at thread/qthread.cpp:487
#12 0x003f6cbd in Digikam::ImageFilterModelWorker::Thread::run() () from /usr/lib/libdigikamdatabase.so.1
#13 0x06f6de32 in QThreadPrivate::start (arg=0xa134848) at thread/qthread_unix.cpp:188
#14 0x008d280e in start_thread (arg=0xb4353b70) at pthread_create.c:300
#15 0x068ab7ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
The current source language is "auto; currently c".

Thread 11 (Thread 0xb3b52b70 (LWP 15017)):
#0  0x004e2422 in __kernel_vsyscall ()
#1  0x008d6e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x068b878d in __pthread_cond_wait (cond=0xa2ec410, mutex=0xa2ec3f8) at forward.c:139
#3  0x06f6ee67 in QWaitConditionPrivate::wait (this=0xa2ebce8, mutex=0xa2ebce4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa2ebce8, mutex=0xa2ebce4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x08d60bfa in Digikam::LoadSaveThread::run (this=0xa2ebcd8) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/loadsavethread.cpp:136
#6  0x06f6de32 in QThreadPrivate::start (arg=0xa2ebcd8) at thread/qthread_unix.cpp:188
#7  0x008d280e in start_thread (arg=0xb3b52b70) at pthread_create.c:300
#8  0x068ab7ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 10 (Thread 0xb3351b70 (LWP 15018)):
#0  0x0141ee4c in g_main_context_prepare () from /lib/libglib-2.0.so.0
#1  0x0141f341 in ?? () from /lib/libglib-2.0.so.0
#2  0x0141f853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x07089067 in QEventDispatcherGlib::processEvents (this=0xa2f6928, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#4  0x0705cc79 in QEventLoop::processEvents (this=0xb3351304, flags=) at kernel/qeventloop.cpp:149
#5  0x0705d0ca in QEventLoop::exec (this=0xb3351304, flags=...) at kernel/qeventloop.cpp:201
#6  0x06f6ab73 in QThread::exec (this=0xa2f5d60) at thread/qthread.cpp:487
#7  0x06f6de32 in QThreadPrivate::start (arg=0xa2f5d60) at thread/qthread_unix.cpp:188
#8  0x008d280e in start_thread (arg=0xb3351b70) at pthread_create.c:300
#9  0x068ab7ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 9 (Thread 0xb2b50b70 (LWP 15019)):
#0  0x0923ce06 in *__GI_clock_gettime (clock_id=153358324, tp=0xb2b50048) at ../sysdeps/unix/clock_gettime.c:100
#1  0x0708abf3 in QTimerInfoList::getTime (this=0xa2f82f4, t=...) at kernel/qeventdispatcher_unix.cpp:339
#2  0x0708ade1 in QTimerInfoList::updateCurrentTime (this=0xa2f82f4) at kernel/qeventdispatcher_unix.cpp:297
#3  0x0708b88c in QTimerInfoList::timerWait (this=0xa2f82f4, tm=...) at kernel/qeventdispatcher_unix.cpp:420
#4  0x07089210 in timerSourcePrepare (source=0xa2f82c0, timeout=0xb2b5013c) at kernel/qeventdispatcher_glib.cpp:141
#5  0x0141ef80 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#6  0x0141f341 in ?? () from /lib/libglib-2.0.so.0
#7  0x0141f853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#8  0x07089067 in QEventDispatcherGlib::processEvents (this=0xa2f80e0, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#9  0x0705cc79 in QEventLoop::processEvents (this=0xb2b50304, flags=) at kernel/qeventloop.cpp:149
#10 0x0705d0ca in QEventLoop::exec (this=0xb2b50304, flags=...) at kernel/qeventloop.cpp:201
#11 0x06f6ab73 in QThread::exec (this=0xa2f7dc8) at thread/qthread.cpp:487
#12 0x06f6de32 in QThreadPrivate::start (arg=0xa2f7dc8) at thread/qthread_unix.cpp:188
#13 0x008d280e in start_thread (arg=0xb2b50b70) at pthread_create.c:300
#14 0x068ab7ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 8 (Thread 0xb234fb70 (LWP 15020)):
#0  0x004e2422 in __kernel_vsyscall ()
#1  0x008d6e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x068b878d in __pthread_cond_wait (cond=0xa302240, mutex=0xa302228) at forward.c:139
#3  0x06f6ee67 in QWaitConditionPrivate::wait (this=0xa305358, mutex=0xa305354, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xa305358, mutex=0xa305354, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x08d60bfa in Digikam::LoadSaveThread::run (this=0xa305348) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/loadsavethread.cpp:136
#6  0x06f6de32 in QThreadPrivate::start (arg=0xa305348) at thread/qthread_unix.cpp:188
#7  0x008d280e in start_thread (arg=0xb234fb70) at pthread_create.c:300
#8  0x068ab7ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xb05f6b70 (LWP 15021)):
#0  0x004e2422 in __kernel_vsyscall ()
#1  0x008d7142 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0x068b87e4 in __pthread_cond_timedwait (cond=0xa3dcda0, mutex=0xa3dcd88, abstime=0xb05f6330) at forward.c:152
#3  0x024939ff in ?? () from /usr/lib/libxine.so.1
#4  0x008d280e in start_thread (arg=0xb05f6b70) at pthread_create.c:300
#5  0x068ab7ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xaf1e9b70 (LWP 15023)):
#0  0x008d4d54 in __pthread_mutex_lock (mutex=0xa3e2f44) at pthread_mutex_lock.c:62
#1  0x068b8956 in pthread_mutex_lock (mutex=0xa3e2f44) at forward.c:182
#2  0x0289ce04 in ?? () from /usr/lib/libxcb.so.1
#3  0x0289d2eb in ?? () from /usr/lib/libxcb.so.1
#4  0x0289d489 in ?? () from /usr/lib/libxcb.so.1
#5  0x0289ea70 in xcb_wait_for_reply () from /usr/lib/libxcb.so.1
#6  0x028a912b in xcb_intern_atom_reply () from /usr/lib/libxcb.so.1
#7  0x07239735 in ?? () from /usr/lib/xine/plugins/1.26/xineplug_vo_out_xcbxv.so
#8  0x0249f323 in ?? () from /usr/lib/libxine.so.1
#9  0x0249715e in xine_close_video_driver () from /usr/lib/libxine.so.1
#10 0x08af0c7a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#11 0x08ab2498 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#12 0x08ab2651 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#13 0x08ab447b in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#14 0x05f14f54 in QApplicationPrivate::notify_helper (this=0x9f34870, receiver=0xa7f5b68, e=0xa36dea0) at kernel/qapplication.cpp:4056
#15 0x05f1c67c in QApplication::notify (this=0xbfe45c0c, receiver=0xa7f5b68, e=0xa36dea0) at kernel/qapplication.cpp:3603
#16 0x06bb8bfa in KApplication::notify (this=0xbfe45c0c, receiver=0xa7f5b68, event=0xa36dea0) at ../../kdeui/kernel/kapplication.cpp:302
#17 0x0705e6cb in QCoreApplication::notifyInternal (this=0xbfe45c0c, receiver=0xa7f5b68, event=0xa36dea0) at kernel/qcoreapplication.cpp:610
#18 0x0705f2b2 in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0xa3e1108) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#19 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0xa3e1108) at kernel/qcoreapplication.cpp:1247
#20 0x0705f47d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1140
#21 0x070893ff in QCoreApplication::sendPostedEvents (s=0xa7f6820) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#22 postEventSourceDispatch (s=0xa7f6820) at kernel/qeventdispatcher_glib.cpp:210
#23 0x0141be78 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#24 0x0141f720 in ?? () from /lib/libglib-2.0.so.0
#25 0x0141f853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#26 0x07089067 in QEventDispatcherGlib::processEvents (this=0xa3e1fe0, flags=...) at kernel/qeventdispatcher_glib.cpp:329
#27 0x0705cc79 in QEventLoop::processEvents (this=0xaf1e92b4, flags=) at kernel/qeventloop.cpp:149
#28 0x0705d0ca in QEventLoop::exec (this=0xaf1e92b4, flags=...) at kernel/qeventloop.cpp:201
#29 0x06f6ab73 in QThread::exec (this=0xa7f5b68) at thread/qthread.cpp:487
#30 0x08ab420a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#31 0x06f6de32 in QThreadPrivate::start (arg=0xa7f5b68) at thread/qthread_unix.cpp:188
#32 0x008d280e in start_thread (arg=0xaf1e9b70) at pthread_create.c:300
#33 0x068ab7ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xaa9ddb70 (LWP 15031)):
#0  0x004e2422 in __kernel_vsyscall ()
#1  0x0689dba6 in *__GI___poll (fds=0x691eff4, nfds=1, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x0946fc3b in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#3  0x008d280e in start_thread (arg=0xaa9ddb70) at pthread_create.c:300
#4  0x068ab7ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xaa1dcb70 (LWP 15032)):
#0  0x004e2422 in __kernel_vsyscall ()
#1  0x008d6e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x068b878d in __pthread_cond_wait (cond=0xb4f10080, mutex=0xb4f10068) at forward.c:139
#3  0x024a45ee in ?? () from /usr/lib/libxine.so.1
#4  0x008d280e in start_thread (arg=0xaa1dcb70) at pthread_create.c:300
#5  0x068ab7ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xab9feb70 (LWP 15042)):
#0  0x004e2422 in __kernel_vsyscall ()
#1  0x008d6e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x068b878d in __pthread_cond_wait (cond=0xaaef378, mutex=0xaaef360) at forward.c:139
#3  0x06f6ee67 in QWaitConditionPrivate::wait (this=0xaa45058, mutex=0xaa45054, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xaa45058, mutex=0xaa45054, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x08d60bfa in Digikam::LoadSaveThread::run (this=0xaa45048) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/loadsavethread.cpp:136
#6  0x06f6de32 in QThreadPrivate::start (arg=0xaa45048) at thread/qthread_unix.cpp:188
#7  0x008d280e in start_thread (arg=0xab9feb70) at pthread_create.c:300
#8  0x068ab7ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xacbfeb70 (LWP 15050)):
#0  0x004e2422 in __kernel_vsyscall ()
#1  0x008d6e15 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x068b878d in __pthread_cond_wait (cond=0xb213360, mutex=0xb213348) at forward.c:139
#3  0x06f6ee67 in QWaitConditionPrivate::wait (this=0xb223cf8, mutex=0xb223cf4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#4  QWaitCondition::wait (this=0xb223cf8, mutex=0xb223cf4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#5  0x08d60bfa in Digikam::LoadSaveThread::run (this=0xb223ce8) at /build/buildd/digikam-1.0.0~beta5/libs/threadimageio/loadsavethread.cpp:136
#6  0x06f6de32 in QThreadPrivate::start (arg=0xb223ce8) at thread/qthread_unix.cpp:188
#7  0x008d280e in start_thread (arg=0xacbfeb70) at pthread_create.c:300
#8  0x068ab7ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb7771700 (LWP 15012)):
#0  0x004e2422 in __kernel_vsyscall ()
#1  0x008d7142 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0x068b87e4 in __pthread_cond_timedwait (cond=0xbfe40cf4, mutex=0xbfe40d24, abstime=0xbfe40d70) at forward.c:152
#3  0x06f6d81e in thread_sleep (ti=0x1) at thread/qthread_unix.cpp:297
#4  0x06f6d973 in QThread::msleep (msecs=200) at thread/qthread_unix.cpp:323
#5  0x08ada9c4 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#6  0x00b212df in ~FactoryPrivate (this=0xa166cb0, __in_chrg=<value optimized out>) at ../3rdparty/phonon/phonon/factory.cpp:199
#7  0x00b1fda5 in destroy () at ../3rdparty/phonon/phonon/factory.cpp:84
#8  0x00b1d47b in ~CleanUpGlobalStatic (this=0xb423f0, __in_chrg=<value optimized out>) at ../3rdparty/phonon/phonon/globalstatic_p.h:55
#9  0x0680e05f in __run_exit_handlers (status=1, listp=0x691f304, run_list_atexit=true) at exit.c:78
#10 0x0680e0cf in *__GI_exit (status=1) at exit.c:100
#11 0x018ec610 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#12 0x06bb854a in KApplication::xioErrhandler (this=0xbfe45c0c, dpy=0x9f50618) at ../../kdeui/kernel/kapplication.cpp:408
#13 0x06bb8586 in kde_xio_errhandler (dpy=0x9f50618) at ../../kdeui/kernel/kapplication.cpp:125
#14 0x012062e6 in _XIOError () from /usr/lib/libX11.so.6
#15 0x0120df8a in ?? () from /usr/lib/libX11.so.6
#16 0x0120e8c6 in _XEventsQueued () from /usr/lib/libX11.so.6
#17 0x011f75ff in XEventsQueued () from /usr/lib/libX11.so.6
#18 0x05fb5db5 in x11EventSourceCheck (s=0x9f37b00) at kernel/qguieventdispatcher_glib.cpp:87
#19 0x0141ecc1 in g_main_context_check () from /lib/libglib-2.0.so.0
#20 0x0141f46c in ?? () from /lib/libglib-2.0.so.0
#21 0x0141f853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#22 0x0708902c in QEventDispatcherGlib::processEvents (this=0x9f0ee80, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#23 0x05fb5be5 in QGuiEventDispatcherGlib::processEvents (this=0x9f0ee80, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#24 0x0705cc79 in QEventLoop::processEvents (this=0xa0bd970, flags=) at kernel/qeventloop.cpp:149
#25 0x0705d0ca in QEventLoop::exec (this=0xa0bd970, flags=...) at kernel/qeventloop.cpp:201
#26 0x0830b3dc in Digikam::ScanController::completeCollectionScan (this=0xa0e4558, splash=0x0) at /build/buildd/digikam-1.0.0~beta5/digikam/scancontroller.cpp:376
#27 0x080e0ad8 in Digikam::SetupCollectionModel::apply (this=0xa20bbe0) at /build/buildd/digikam-1.0.0~beta5/utilities/setup/setupcollectionview.cpp:473
#28 0x080dba1b in Digikam::SetupCollections::applySettings (this=0xcc439f0) at /build/buildd/digikam-1.0.0~beta5/utilities/setup/setupcollections.cpp:187
#29 0x080ea24a in Digikam::Setup::slotOkClicked (this=0xb700cb8) at /build/buildd/digikam-1.0.0~beta5/utilities/setup/setup.cpp:370
#30 0x080ea593 in Digikam::Setup::qt_metacall (this=0xb700cb8, _c=QMetaObject::InvokeMetaMethod, _id=75, _a=0xbfe4158c) at /build/buildd/digikam-1.0.0~beta5/obj-i486-linux-gnu/digikam/setup.moc:66
#31 0x07074263 in QMetaObject::activate (sender=0xb700cb8, from_signal_index=45, to_signal_index=45, argv=0x0) at kernel/qobject.cpp:3113
#32 0x07074ec2 in QMetaObject::activate (sender=0xb700cb8, m=0x849d80c, local_signal_index=9, argv=0x0) at kernel/qobject.cpp:3187
#33 0x06b1d4d7 in KDialog::okClicked (this=0xb700cb8) at ./kdialog.moc:252
#34 0x06b1fde8 in KDialog::slotButtonClicked (this=0xb700cb8, button=4) at ../../kdeui/dialogs/kdialog.cpp:853
#35 0x06b22319 in KDialog::qt_metacall (this=0xb700cb8, _c=QMetaObject::InvokeMetaMethod, _id=33, _a=0xbfe417b8) at ./kdialog.moc:184
#36 0x06be9c6a in KPageDialog::qt_metacall (this=0xb700cb8, _c=QMetaObject::InvokeMetaMethod, _id=69, _a=0xbfe417b8) at ./kpagedialog.moc:64
#37 0x080ea57c in Digikam::Setup::qt_metacall (this=0xb700cb8, _c=QMetaObject::InvokeMetaMethod, _id=69, _a=0xbfe417b8) at /build/buildd/digikam-1.0.0~beta5/obj-i486-linux-gnu/digikam/setup.moc:61
#38 0x07074263 in QMetaObject::activate (sender=0xcef1110, from_signal_index=4, to_signal_index=4, argv=0xbfe417b8) at kernel/qobject.cpp:3113
#39 0x07074ec2 in QMetaObject::activate (sender=0xcef1110, m=0x714e878, local_signal_index=0, argv=0xbfe417b8) at kernel/qobject.cpp:3187
#40 0x07076e73 in QSignalMapper::mapped (this=0xcef1110, _t1=4) at .moc/release-shared/moc_qsignalmapper.cpp:95
#41 0x0707770d in QSignalMapper::map (this=0xcef1110, sender=0xbb9ae90) at kernel/qsignalmapper.cpp:266
#42 0x070778ee in QSignalMapper::map (this=0xcef1110) at kernel/qsignalmapper.cpp:257
#43 0x0707812b in QSignalMapper::qt_metacall (this=0xcef1110, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfe41988) at .moc/release-shared/moc_qsignalmapper.cpp:81
#44 0x07074263 in QMetaObject::activate (sender=0xbb9ae90, from_signal_index=29, to_signal_index=30, argv=0xbfe41988) at kernel/qobject.cpp:3113
#45 0x070746d8 in QMetaObject::activate (sender=0xbb9ae90, m=0x67880a4, from_local_signal_index=2, to_local_signal_index=3, argv=0xbfe41988) at kernel/qobject.cpp:3207
#46 0x065a1cc1 in QAbstractButton::clicked (this=0xbb9ae90, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:200
#47 0x062ca549 in QAbstractButtonPrivate::emitClicked (this=0xced7748) at widgets/qabstractbutton.cpp:543
#48 0x062cc1a4 in QAbstractButtonPrivate::click (this=0xced7748) at widgets/qabstractbutton.cpp:536
#49 0x062cc431 in QAbstractButton::mouseReleaseEvent (this=0xbb9ae90, e=0xbfe41f80) at widgets/qabstractbutton.cpp:1115
#50 0x05f6a012 in QWidget::event (this=0xbb9ae90, event=0xbfe41f80) at kernel/qwidget.cpp:7549
#51 0x062ca3ee in QAbstractButton::event (this=0xbb9ae90, e=0x1) at widgets/qabstractbutton.cpp:1077
#52 0x0637466d in QPushButton::event (this=0xbb9ae90, e=0xbfe41f80) at widgets/qpushbutton.cpp:662
#53 0x05f14f54 in QApplicationPrivate::notify_helper (this=0x9f34870, receiver=0xbb9ae90, e=0xbfe41f80) at kernel/qapplication.cpp:4056
#54 0x05f1d033 in QApplication::notify (this=0xbfe45c0c, receiver=0xbb9ae90, e=0xbfe41f80) at kernel/qapplication.cpp:3758
#55 0x06bb8bfa in KApplication::notify (this=0xbfe45c0c, receiver=0xbb9ae90, event=0xbfe41f80) at ../../kdeui/kernel/kapplication.cpp:302
#56 0x0705e6cb in QCoreApplication::notifyInternal (this=0xbfe45c0c, receiver=0xbb9ae90, event=0xbfe41f80) at kernel/qcoreapplication.cpp:610
#57 0x05f1bf6e in QCoreApplication::sendSpontaneousEvent (receiver=0xbb9ae90, event=0xbfe41f80, alienWidget=0xbb9ae90, nativeWidget=0xb700cb8, buttonDown=0x678faa0, lastMouseReceiver=...)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#58 QApplicationPrivate::sendMouseEvent (receiver=0xbb9ae90, event=0xbfe41f80, alienWidget=0xbb9ae90, nativeWidget=0xb700cb8, buttonDown=0x678faa0, lastMouseReceiver=...)
    at kernel/qapplication.cpp:2924
#59 0x05f8a7c0 in QETWidget::translateMouseEvent (this=0xb700cb8, event=0xbfe435cc) at kernel/qapplication_x11.cpp:4409
#60 0x05f89c4b in QApplication::x11ProcessEvent (this=0xbfe45c0c, event=0xbfe435cc) at kernel/qapplication_x11.cpp:3428
#61 0x05fb6502 in x11EventSourceDispatch (s=0x9f37b00, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#62 0x0141be78 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#63 0x0141f720 in ?? () from /lib/libglib-2.0.so.0
#64 0x0141f853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#65 0x0708902c in QEventDispatcherGlib::processEvents (this=0x9f0ee80, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#66 0x05fb5be5 in QGuiEventDispatcherGlib::processEvents (this=0x9f0ee80, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#67 0x0705cc79 in QEventLoop::processEvents (this=0xbfe438c0, flags=) at kernel/qeventloop.cpp:149
#68 0x0705d0ca in QEventLoop::exec (this=0xbfe438c0, flags=...) at kernel/qeventloop.cpp:201
#69 0x06401d53 in QDialog::exec (this=0xb700cb8) at dialogs/qdialog.cpp:498
#70 0x080ecb60 in Digikam::Setup::exec (parent=0xa11c7a8, page=Digikam::Setup::LastPageUsed) at /build/buildd/digikam-1.0.0~beta5/utilities/setup/setup.cpp:335
#71 0x0828eb69 in Digikam::DigikamApp::setup (this=0xa11c7a8) at /build/buildd/digikam-1.0.0~beta5/digikam/digikamapp.cpp:2153
#72 0x082abddd in Digikam::DigikamApp::slotSetup (this=0xa11c7a8, _c=QMetaObject::InvokeMetaMethod, _id=-516, _a=0xbfe43ab8) at /build/buildd/digikam-1.0.0~beta5/digikam/digikamapp.cpp:2148
#73 Digikam::DigikamApp::qt_metacall (this=0xa11c7a8, _c=QMetaObject::InvokeMetaMethod, _id=-516, _a=0xbfe43ab8) at /build/buildd/digikam-1.0.0~beta5/obj-i486-linux-gnu/digikam/digikamapp.moc:207
#74 0x07074263 in QMetaObject::activate (sender=0xbda17c0, from_signal_index=5, to_signal_index=6, argv=0xbfe43ab8) at kernel/qobject.cpp:3113
#75 0x070746d8 in QMetaObject::activate (sender=0xbda17c0, m=0x849dac8, from_local_signal_index=1, to_local_signal_index=2, argv=0xbfe43ab8) at kernel/qobject.cpp:3207
#76 0x05f0e9b1 in QAction::triggered (this=0xbda17c0, _t1=false) at .moc/release-shared/moc_qaction.cpp:236
#77 0x05f0ff32 in QAction::activate (this=0xbda17c0, event=QAction::Trigger) at kernel/qaction.cpp:1160
#78 0x0635d9cc in QMenuPrivate::activateCausedStack (this=0xa7b66ff0, causedStack=..., action=0xbda17c0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:967
#79 0x0636403b in QMenuPrivate::activateAction (this=0xa7b66ff0, action=0xbda17c0, action_e=QAction::Trigger, self=<value optimized out>) at widgets/qmenu.cpp:1060
#80 0x06364bf7 in QMenu::mouseReleaseEvent (this=0xa8726a80, e=0xbfe44210) at widgets/qmenu.cpp:2254
#81 0x06ca31c5 in KMenu::mouseReleaseEvent (this=0xa8726a80, e=0xbfe44210) at ../../kdeui/widgets/kmenu.cpp:456
#82 0x05f6a012 in QWidget::event (this=0xa8726a80, event=0xbfe44210) at kernel/qwidget.cpp:7549
#83 0x06366e34 in QMenu::event (this=0xa8726a80, e=0xbfe44210) at widgets/qmenu.cpp:2353
#84 0x05f14f54 in QApplicationPrivate::notify_helper (this=0x9f34870, receiver=0xa8726a80, e=0xbfe44210) at kernel/qapplication.cpp:4056
#85 0x05f1d033 in QApplication::notify (this=0xbfe45c0c, receiver=0xa8726a80, e=0xbfe44210) at kernel/qapplication.cpp:3758
#86 0x06bb8bfa in KApplication::notify (this=0xbfe45c0c, receiver=0xa8726a80, event=0xbfe44210) at ../../kdeui/kernel/kapplication.cpp:302
#87 0x0705e6cb in QCoreApplication::notifyInternal (this=0xbfe45c0c, receiver=0xa8726a80, event=0xbfe44210) at kernel/qcoreapplication.cpp:610
#88 0x05f1bf6e in QCoreApplication::sendSpontaneousEvent (receiver=0xa8726a80, event=0xbfe44210, alienWidget=0x0, nativeWidget=0xa8726a80, buttonDown=0x678faa0, lastMouseReceiver=...)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#89 QApplicationPrivate::sendMouseEvent (receiver=0xa8726a80, event=0xbfe44210, alienWidget=0x0, nativeWidget=0xa8726a80, buttonDown=0x678faa0, lastMouseReceiver=...) at kernel/qapplication.cpp:2924
#90 0x05f8ac87 in QETWidget::translateMouseEvent (this=0xa8726a80, event=0xbfe4585c) at kernel/qapplication_x11.cpp:4343
#91 0x05f89c4b in QApplication::x11ProcessEvent (this=0xbfe45c0c, event=0xbfe4585c) at kernel/qapplication_x11.cpp:3428
#92 0x05fb6502 in x11EventSourceDispatch (s=0x9f37b00, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#93 0x0141be78 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#94 0x0141f720 in ?? () from /lib/libglib-2.0.so.0
#95 0x0141f853 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#96 0x0708902c in QEventDispatcherGlib::processEvents (this=0x9f0ee80, flags=...) at kernel/qeventdispatcher_glib.cpp:327
#97 0x05fb5be5 in QGuiEventDispatcherGlib::processEvents (this=0x9f0ee80, flags=...) at kernel/qguieventdispatcher_glib.cpp:202
#98 0x0705cc79 in QEventLoop::processEvents (this=0xbfe45b54, flags=) at kernel/qeventloop.cpp:149
#99 0x0705d0ca in QEventLoop::exec (this=0xbfe45b54, flags=...) at kernel/qeventloop.cpp:201
#100 0x0705f53f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#101 0x05f14dd7 in QApplication::exec () at kernel/qapplication.cpp:3525
#102 0x083a4da3 in main (argc=1, argv=0xbfe46064) at /build/buildd/digikam-1.0.0~beta5/digikam/main.cpp:186

Reported using DrKonqi
Comment 1 Marcel Wiesweg 2009-11-13 12:48:01 UTC
The crash comes from the XCF image reader from KDE (kimgio). There is also a bug in digikam - we should not open the image when scanning. That's not causing the crash. So I downgrade this report here from crash to bug and keep it for digikam. I would ask you to add a crash report for kimgio component, given this occurs with a recent version of KDE. Backtrace of thread 14, stack frame #8 to #20, is sufficient.
Comment 2 rene 2009-11-13 17:53:16 UTC
Done (https://bugs.kde.org/show_bug.cgi?id=214418) 

regards
rene
Comment 3 rene 2010-12-28 21:04:03 UTC
Doesn't happen any more in 1.7.0